class TC_Enviro < Test::Unit::TestCase

    include P4RubyTest

    def name
	"Test client environment"
    end

    def test_enviro
	assert( p4, "Failed to create Perforce client" )
	p4.user 	= "tony"
	p4.client	= "myworkstation"
	p4.port		= "myserver:1666"
	p4.password	= "mypass"
	p4.prog		= "somescript"
	p4.version	= "2007.3/12345"
	
	assert_equal( p4.user,		"tony" )
	assert_equal( p4.client,	"myworkstation" )
	assert_equal( p4.port, 		"myserver:1666" )
	assert_equal( p4.password, 	"mypass" )
	assert_equal( p4.prog,	 	"somescript" )
	assert_equal( p4.version, 	"2007.3/12345" )
    end
end

